Bug 1666484 (CVE-2018-19361) - CVE-2018-19361 jackson-databind: improper polymorphic deserialization in openjpa class
Summary: CVE-2018-19361 jackson-databind: improper polymorphic deserialization in open...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19361
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1700940 1700969 1731780 1666486 1672879 1672880 1672881 1677133 1677134 1677135 1677136 1677137 1700941 1700968 1730588 1731787 1731789 1731790 1731792 1732286 1732291 1732539
Blocks: 1666431
TreeView+ depends on / blocked
 
Reported: 2019-01-15 19:19 UTC by Laura Pardo
Modified: 2019-10-10 12:49 UTC (History)
71 users (show)

Fixed In Version: jackson-databind 2.9.8, jackson-databind 2.7.9.5, jackson-databind 2.8.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:45:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0782 None None None 2019-04-17 21:01:10 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:47:03 UTC
Red Hat Product Errata RHSA-2019:1782 None None None 2019-07-15 19:18:50 UTC
Red Hat Product Errata RHSA-2019:1797 None None None 2019-07-16 16:21:56 UTC
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:54:02 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:37 UTC
Red Hat Product Errata RHSA-2019:2804 None None None 2019-09-17 13:45:48 UTC
Red Hat Product Errata RHSA-2019:2858 None None None 2019-09-27 00:14:12 UTC
Red Hat Product Errata RHSA-2019:3002 None None None 2019-10-10 12:49:51 UTC

Description Laura Pardo 2019-01-15 19:19:14 UTC
FasterXML jackson-databind 2.x before 2.9.8 fails to block the openjpa class from polymorphic deserialization.



References:
https://github.com/FasterXML/jackson-databind/issues/2186
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.9.8

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/42912cac4753f3f718ece875e4d486f8264c2f2b

Comment 1 Laura Pardo 2019-01-15 19:19:25 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1666486]

Comment 10 Doran Moppert 2019-02-08 05:33:53 UTC
Statement:

Red Hat Satellite 6 is not affected by this issue, since its candlepin component doesn't bundle openjpa jar.

Red Hat Virtualization 4 is not affected by this issue, since its candlepin component doesn't bundle openjpa jar.

Comment 11 James Hebden 2019-02-14 06:27:19 UTC
Whilst I could not find openjpa being imported alongside jackson-databind in any OpenDaylight project, we do ship a vulnerable version of jackson-databind, so should check to see if this can be updated in OpenDaylight.

Comment 25 errata-xmlrpc 2019-04-17 21:01:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 26 errata-xmlrpc 2019-04-24 18:47:00 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 30 errata-xmlrpc 2019-07-15 19:18:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.4.12

Via RHSA-2019:1782 https://access.redhat.com/errata/RHSA-2019:1782

Comment 31 errata-xmlrpc 2019-07-16 16:21:54 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1797 https://access.redhat.com/errata/RHSA-2019:1797

Comment 38 errata-xmlrpc 2019-07-22 14:53:35 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 39 errata-xmlrpc 2019-07-22 14:54:00 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 42 errata-xmlrpc 2019-09-17 13:45:44 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:2804 https://access.redhat.com/errata/RHSA-2019:2804

Comment 45 errata-xmlrpc 2019-09-27 00:14:08 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 46 errata-xmlrpc 2019-10-10 12:49:48 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R13

Via RHSA-2019:3002 https://access.redhat.com/errata/RHSA-2019:3002


Note You need to log in before you can comment on or make changes to this bug.